ICU 75.1 75.1

Data Structures | Public Member Functions | Friends
icu::message2::data_model::UnsupportedStatement Class Reference

The `UnsupportedStatement` class corresponds to the `reserved-statement` nonterminal in the MessageFormat 2 grammar and the `unsupported-statement` type defined in: https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model/message.json#L169. More...

`#include <messageformat2_data_model.h>`

Inheritance diagram for icu::message2::data_model::UnsupportedStatement:

## Data Structures
class | Builder
| The mutable `UnsupportedStatement::Builder` class allows the statement to be constructed incrementally. More...

## Public Member Functions
const UnicodeString & | getKeyword () const
| Accesses the keyword of this statement. More...
const Reserved * | getBody (UErrorCode &status) const
| Accesses the `reserved-body` of this statement. More...
std::vector< Expression > | getExpressions () const
| Accesses the expressions of this statement. More...
| UnsupportedStatement (const UnsupportedStatement &other)
| Copy constructor. More...
UnsupportedStatement & | operator= (UnsupportedStatement) noexcept
| Assignment operator. More...
| UnsupportedStatement ()
| Default constructor. More...
virtual | ~UnsupportedStatement ()
| Destructor. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Friends
class | message2::Serializer
void | swap (UnsupportedStatement &s1, UnsupportedStatement &s2) noexcept
| Non-member swap function. More...

## Detailed Description

The `UnsupportedStatement` class corresponds to the `reserved-statement` nonterminal in the MessageFormat 2 grammar and the `unsupported-statement` type defined in: https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model/message.json#L169.

It represents a keyword (string) together with an optional `Reserved` annotation and a non-empty list of expressions.

`UnsupportedStatement` is immutable, copyable and movable.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1767 of file messageformat2_data_model.h.

## Constructor & Destructor Documentation

## ◆ UnsupportedStatement() [1/2]

icu::message2::data_model::UnsupportedStatement::UnsupportedStatement | ( | const UnsupportedStatement & | other | ) |

Copy constructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ◆ UnsupportedStatement() [2/2]

icu::message2::data_model::UnsupportedStatement::UnsupportedStatement | ( |  | ) |
| inline

Default constructor.

Puts the UnsupportedStatement into a valid but undefined state.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1931 of file messageformat2_data_model.h.

## ◆ ~UnsupportedStatement()

virtual icu::message2::data_model::UnsupportedStatement::~UnsupportedStatement | ( |  | ) |
| virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Member Function Documentation

## ◆ getBody()

const Reserved* icu::message2::data_model::UnsupportedStatement::getBody | ( | UErrorCode & | status | ) | const

Accesses the `reserved-body` of this statement.

Parameters

  status | Input/output error code. Set to U_ILLEGAL_ARGUMENT_ERROR if this unsupported statement has no body.

Returns
  A non-owned pointer to a `Reserved` annotation, which is non-null if U_SUCCESS(status).

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ◆ getExpressions()

std::vector<Expression> icu::message2::data_model::UnsupportedStatement::getExpressions | ( |  | ) | const
| inline

Accesses the expressions of this statement.

Returns
  A vector of Expressions.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1798 of file messageformat2_data_model.h.

## ◆ getKeyword()

const UnicodeString& icu::message2::data_model::UnsupportedStatement::getKeyword | ( |  | ) | const
| inline

Accesses the keyword of this statement.

Returns
  A reference to a string.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1777 of file messageformat2_data_model.h.

## ◆ operator=()

UnsupportedStatement& icu::message2::data_model::UnsupportedStatement::operator= | ( | UnsupportedStatement |  | ) |
| noexcept

Assignment operator.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Friends And Related Function Documentation

## ◆ swap

void swap | ( | UnsupportedStatement & | s1,
|  | UnsupportedStatement & | s2
| ) |  |
| friend

Non-member swap function.

Parameters

  s1 | will get s2's contents
  s2 | will get s1's contents

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1902 of file messageformat2_data_model.h.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_data_model.h